package com.example.hackernews;

/**
 * 
 * @author Kevin
 *
 */
public class FeedItem {

	public String title;
	public String author;
	public String date;
	public int rank;
	public int comments;
	public int karma;
	
	/** Construct feed item */
	public FeedItem(){
		super();
	}
	
	/** Construct feed item with all attributes */
	public FeedItem(String title, String author, String date, int rank, int comments, int karma){
		this.title = title;
		this.author = author;
		this.date = date;
		this.rank = rank;
		this.comments = comments;
		this.karma = karma;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getAuthor() {
		return author;
	}

	public void setAuthor(String author) {
		this.author = author;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public int getRank() {
		return rank;
	}

	public void setRank(int rank) {
		this.rank = rank;
	}

	public int getComments() {
		return comments;
	}

	public void setComments(int comments) {
		this.comments = comments;
	}

	public int getKarma() {
		return karma;
	}

	public void setKarma(int karma) {
		this.karma = karma;
	}
}
